/**
 * 以下配置仅为样式配置，还需指定id，resource，resource-layer等等内容
 * defaultRiverOption: 默认的河流配置
 * riverChannelOption: 深泓线配置
 * riverAreaOption: 流域面配置
 * riverBankOption: 河岸线
 * highlightLineOption: 河流选中高亮
 * lineNameOption: 河流名
 * managementLineOption: 管理线
 * protectLineOption: 保护线
 */
import { FillPaint, LineLayout, LinePaint, SymbolLayout, SymbolPaint } from "mapbox-gl";
interface IQqslLayerOptions {
    defaultRiverOption: {
        type: 'line';
        layout: LineLayout;
        paint: LinePaint;
    };
    riverChannelOption: {
        type: 'line';
        paint: LinePaint;
    };
    riverAreaOption: {
        type: 'fill';
        paint: FillPaint;
    };
    riverBankOption: {
        type: 'line';
        paint: LinePaint;
    };
    highlightLineOption: {
        type: 'line';
        paint: LinePaint;
    };
    lineNameOption: {
        type: 'symbol';
        layout: SymbolLayout;
        paint: SymbolPaint;
    };
    managementLineOption: {
        type: 'line';
        layout: LineLayout;
        paint: LinePaint;
    };
    protectLineOption: {
        type: 'line';
        layout: LineLayout;
        paint: LinePaint;
    };
}
export declare const qqslLayerOptions: IQqslLayerOptions;
export {};
