import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { LngLatLike, Marker, MarkerOptions } from 'mapbox-gl';
import { MapService } from '../map/map.service';
import * as i0 from "@angular/core";
export declare class MarkerComponent implements OnChanges, OnDestroy, AfterViewInit, OnInit {
    private mapService;
    offset?: MarkerOptions['offset'];
    anchor?: MarkerOptions['anchor'];
    clickTolerance?: MarkerOptions['clickTolerance'];
    feature?: GeoJSON.Feature<GeoJSON.Point>;
    lngLat?: LngLatLike;
    draggable?: MarkerOptions['draggable'];
    popupShown?: boolean;
    className: string;
    pitchAlignment?: MarkerOptions['pitchAlignment'];
    rotationAlignment?: MarkerOptions['rotationAlignment'];
    markerDragStart: EventEmitter<Marker>;
    markerDragEnd: EventEmitter<Marker>;
    markerDrag: EventEmitter<Marker>;
    /**
     * @deprecated Use markerDragStart instead
     */
    dragStart: EventEmitter<Marker>;
    /**
     * @deprecated Use markerDragEnd instead
     */
    dragEnd: EventEmitter<Marker>;
    /**
     * @deprecated Use markerDrag instead
     */
    drag: EventEmitter<Marker>;
    content: ElementRef;
    markerInstance?: Marker;
    constructor(mapService: MapService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    togglePopup(): void;
    updateCoordinates(coordinates: number[]): void;
    private warnDeprecatedOutputs;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarkerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MarkerComponent, "mgl-marker", never, { "offset": "offset"; "anchor": "anchor"; "clickTolerance": "clickTolerance"; "feature": "feature"; "lngLat": "lngLat"; "draggable": "draggable"; "popupShown": "popupShown"; "className": "className"; "pitchAlignment": "pitchAlignment"; "rotationAlignment": "rotationAlignment"; }, { "markerDragStart": "markerDragStart"; "markerDragEnd": "markerDragEnd"; "markerDrag": "markerDrag"; "dragStart": "dragStart"; "dragEnd": "dragEnd"; "drag": "drag"; }, never, ["*"]>;
}
