import { OnChanges, OnDestroy, OnInit, QueryList, SimpleChanges } from '@angular/core';
import { VectorSource } from 'mapbox-gl';
import { LayerComponent } from '../layer/layer.component';
import { MapService } from '../map/map.service';
import { SourceService } from './source.service';
import * as i0 from "@angular/core";
export declare class VectorSourceComponent implements OnInit, OnDestroy, OnChanges, VectorSource {
    private mapService;
    sourceService: SourceService;
    id: string;
    url?: VectorSource['url'];
    tiles?: VectorSource['tiles'];
    bounds?: VectorSource['bounds'];
    scheme?: VectorSource['scheme'];
    minzoom?: VectorSource['minzoom'];
    maxzoom?: VectorSource['maxzoom'];
    attribution?: VectorSource['attribution'];
    promoteId?: VectorSource['promoteId'];
    type: VectorSource['type'];
    layerComponents: QueryList<LayerComponent>;
    private sourceAdded;
    private sub;
    constructor(mapService: MapService, sourceService: SourceService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private init;
    static ɵfac: i0.ɵɵFactoryDeclaration<VectorSourceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VectorSourceComponent, "mgl-vector-source", never, { "id": "id"; "url": "url"; "tiles": "tiles"; "bounds": "bounds"; "scheme": "scheme"; "minzoom": "minzoom"; "maxzoom": "maxzoom"; "attribution": "attribution"; "promoteId": "promoteId"; }, {}, ["layerComponents"], never>;
}
